<?php 
include"../../aut_verifica.inc.php";
require_once('../config/lang/eng.php');
require_once('../tcpdf.php');
error_reporting(E_ERROR | E_PARSE);
	header('Content-Type: text/html; charset=UTF-8');
	date_default_timezone_set('America/Caracas');
	header("Last-Modified: " . gmdate("D, d M Y H:i ") . " GMT"); 
	header("Cache-Control: no-store, no-cache, must-revalidate"); 
	header("Cache-Control: post-check=0, pre-check=0", false); 
	header("Pragma: no-cache");	
//$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, 'A4', true, 'UTF-8', false);	
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, 'A5', true, 'UTF-8', false);
// Informacion del Documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('CLOPEZ');
$pdf->SetTitle('FACTURA');
$pdf->SetSubject('');
$pdf->SetKeywords('');
$pdf->AddPage('L');

//$pdf->SetFont('Arial', 'BIU', 100);

$codigo_x=$_GET['usuario'];
$fecha_actualxls=$_GET['fecha_registro'];
$fecha_ingreso=date('Y-m-d - h:i:s A');
$token=$_GET['token'];
$codigo_cliente=$_GET['cod_cliente'];
$usuarios_conectadosx=mysql_query("select * from  tabla_usuarios where id='".$codigo_x."'",$link);
$ver_usuariosx=mysql_fetch_array($usuarios_conectadosx);
$orden_factura=mysql_query("select SUM(cantidad),SUM(total_venta),SUM(total_venta_bolivares),SUM(monto_iva),SUM(monto_impuesto_dolares),SUM(sub_total_dolares),SUM(total_factura_dolares),cod_cliente,fecha_registro,estatus,id,token,tasa_dolar,SUM(monto_impuesto_bs),SUM(sub_total_bs),SUM(total_factura),SUM(total_exento_bs),SUM(total_exento_dolares) from  tabla_factura_detalle_fact_xls where estatus='1' and fecha_registro='$fecha_actualxls' and token='$token' GROUP BY token ORDER BY id DESC  ",$link);
$ver_factura=mysql_fetch_array($orden_factura);
$n_ordenx=str_pad($ver_factura['id'], 8, "0", STR_PAD_LEFT);
$consulta_cliente=mysql_query("select * from  tabla_clintes_xls where id='".$codigo_cliente."' and eliminar='0' and estatus='0' ORDER BY id DESC ",$link);
$ver_consulta_cliente=mysql_fetch_array($consulta_cliente);
$valor_tasas_dolar=$ver_factura['tasa_dolar'];
$base_imponible=$ver_factura['SUM(total_venta_bolivares)']-$ver_factura['SUM(monto_iva)'];
$valor_iva=$ver_factura['SUM(monto_impuesto_dolares)']; 

// CONTROL DE FACTURA
	$chequear_datosx=mysql_query("Select * from  tabla_factura_xls where tipo_documento='0' ORDER BY id DESC",$link);
	$chequearx=mysql_fetch_array($chequear_datosx);
	$n_factura=$chequearx['n_factura']+1;
	$n_orden=$chequearx['n_orden']+1;
	$n_facturax=$_GET['n_facturax'];
	
	$chequear_datosx2=mysql_query("Select * from  tabla_factura_xls where token='".$token."'",$link);
	$chequearx2=mysql_fetch_array($chequear_datosx2);
	$fecha_facturax=$chequearx2['fecha_factura'];
	$formato_fecha  =$chequearx2['fecha_factura'];
	$pieces_fecha = explode("-", $formato_fecha);
	$ano_x=$pieces_fecha[0]; // piece1
	$mes_x=$pieces_fecha[1]; // piece1
	$dia_x=$pieces_fecha[2]; // piece1
	$fecha_factura=$dia_x.'/'.$mes_x.'/'.$ano_x;
	$n_factura_2=$chequearx2['n_factura'];
	$n_orden_2=$chequearx2['n_orden'];
	if($n_factura_2==''){
		$n_factura=$n_factura;
		$n_orden=$n_orden;
	} else {
		$n_factura=$n_factura_2;
		$n_orden=$n_orden_2;
	}

$html1 ='
		<br>
		<br>
		<br>
		<br>
		<br>
		<br>
		<table>
			<tr>
				<td><h3>FECHA EMISION: '.$fecha_factura.'</h3></td>
				<td><h1 style="text-align: right;">FACTURA Nº: '.str_pad($n_facturax, 8,'0', STR_PAD_LEFT).'</h1></td>
			</tr>	
			<tr>
				<td></td>
				<td style="text-align: right;">ORDEN DE CARGA Nº: '.$n_orden.'</td>
			</tr>
		</table>
		RAZON SOCIAL:'.$ver_consulta_cliente['descripcion'].' <br>
		RIF DEL CLIENTE:'.$ver_consulta_cliente['rif'].'<br>
		DIRECCION: '.$ver_consulta_cliente['direccion'].'
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
		<br>
		<table border="0">
			<tr>
				<td WIDTH="45%">DESCRIPCION</td>
				<td WIDTH="05%">TIPO</td>
				<td WIDTH="15%" style="text-align: center;">U. MEDIDA</td>
				<td WIDTH="10%" style="text-align: right;">CANTIDAD</td>
				<td WIDTH="10%" style="text-align: right;">PRECIO U.</td>
				<td WIDTH="05%" style="text-align: right;">IMP.</td>
				<td WIDTH="12%" style="text-align: right;">SUB TOTAL</td>
			</tr>
		</table>
		----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	';

	$detalle_orden_carga=mysql_query("select * from  tabla_factura_detalle_fact_xls where estatus='1' and fecha_registro='$fecha_actualxls' and token='$token' ",$link);
	while($ver_detalle_orden_carga=mysql_fetch_array($detalle_orden_carga)){
	$cod_producto=$ver_detalle_orden_carga['cod_producto'];
	$cod_unidad=$ver_detalle_orden_carga['cod_unidad'];
	$tipo_iva=$ver_detalle_orden_carga['iva'];
	$productos_ventax=mysql_query("select * from tabla_productos where id='$cod_producto'  ",$link);
	$p_ventax=mysql_fetch_array($productos_ventax);		
	$u_medida=mysql_query("select * from  tabla_unidad_medida where id='$cod_unidad'  ",$link);
	$ver_u_medida=mysql_fetch_array($u_medida);	
	$precio_u_bs=$ver_detalle_orden_carga['precio_venta']*$valor_tasas_dolar;
	if($tipo_iva=='0'){
		$t_iva='(E)';
	} else {
		$t_iva='(G)';
	}
	$i++;
	$html51[]='
	<table  border="0" WIDTH="100%">
	  <tr>
		<td WIDTH="45%">'.$p_ventax['nombre_producto'].'</td>
		<td WIDTH="05%">'.$t_iva.'</td>
		<td WIDTH="15%" style="text-align: center;">'.$ver_u_medida['nombre'].'</td>
		<td WIDTH="10%" style="text-align: right;">'.$ver_detalle_orden_carga['cantidad'].'</td>
		<td WIDTH="10%"style="text-align: right;">'.number_format($precio_u_bs, 4, ',','.').'</td>
		<td WIDTH="05%"style="text-align: right;">'.$ivax=($ver_detalle_orden_carga['iva']*100).' %</td>
		<td WIDTH="12%" style="text-align: right;">'.number_format($ver_detalle_orden_carga['sub_total_bs'], 2, ',','.').'</td>
	  </tr> 
	</table>
	 '; 
}
$orden_facturax1=mysql_query("select SUM(cantidad),SUM(total_venta),SUM(total_venta_bolivares),SUM(monto_iva),SUM(monto_impuesto_dolares),SUM(sub_total_dolares),SUM(total_factura_dolares),cod_cliente,fecha_registro,estatus,id,token,tasa_dolar,SUM(monto_impuesto_bs),SUM(sub_total_bs),SUM(total_factura),SUM(total_exento_bs),SUM(total_exento_dolares),iva from  tabla_factura_detalle_fact_xls where estatus='1' and fecha_registro='$fecha_actualxls' and token='$token' and iva!='0' GROUP BY token ORDER BY id DESC  ",$link);
$ver_facturax1=mysql_fetch_array($orden_facturax1);
	
	//BOLIVARES
		$total_exento_bs=number_format($ver_factura['SUM(total_exento_bs)'], 2, ',','.');
		$base_imponible_bs=number_format($ver_facturax1['SUM(sub_total_bs)'], 2, ',','.');
		$total_iva=number_format($ver_factura['SUM(monto_impuesto_bs)'], 2, ',','.');
		$total_factura=number_format($ver_factura['SUM(total_factura)'], 2, ',','.');
	// DOLARES
		$total_exento_dolares=$ver_factura['SUM(total_exento_bs)']/$valor_tasas_dolar;
		$base_imponible_dolares=$ver_facturax1['SUM(sub_total_bs)']/$valor_tasas_dolar;
		$total_iva_dolares=$ver_factura['SUM(monto_impuesto_bs)']/$valor_tasas_dolar;
		$total_factura_dolares=$ver_factura['SUM(total_factura)']/$valor_tasas_dolar;


$orden_factura_matadero=mysql_query("select SUM(sub_total_dolares),SUM(total_factura_dolares),SUM(cantidad),estatus,fecha_registro,token,cod_modelo from  tabla_factura_detalle_fact_xls where estatus='1' and fecha_registro='$fecha_actualxls' and token='$token' and cod_modelo!='6' and cod_modelo!='7' and  cod_modelo!='8' and  cod_modelo!='9' ",$link);
$ver_factura_matadero=mysql_fetch_array($orden_factura_matadero);

$orden_factura_embutidos=mysql_query("select SUM(sub_total_dolares),SUM(total_factura_dolares),SUM(cantidad),estatus,fecha_registro,token,cod_modelo from  tabla_factura_detalle_fact_xls where estatus='1' and fecha_registro='$fecha_actualxls' and token='$token' and cod_modelo='6'  ",$link);
$ver_factura_embutidos=mysql_fetch_array($orden_factura_embutidos);

$orden_factura_maquinal=mysql_query("select SUM(sub_total_dolares),SUM(total_factura_dolares),SUM(cantidad),estatus,fecha_registro,token,cod_marca from  tabla_factura_detalle_fact_xls where estatus='1' and fecha_registro='$fecha_actualxls' and token='$token' and cod_marca='6'   ",$link);
$ver_factura_maquila=mysql_fetch_array($orden_factura_maquinal);

$orden_factura_harina=mysql_query("select SUM(sub_total_dolares),SUM(total_factura_dolares),SUM(cantidad),estatus,fecha_registro,token,cod_modelo from  tabla_factura_detalle_fact_xls where estatus='1' and fecha_registro='$fecha_actualxls' and token='$token' and cod_modelo='7'  ",$link);
$ver_factura_harina=mysql_fetch_array($orden_factura_harina);

if($ver_factura_matadero['SUM(cantidad)']>'0'){
	$mensaje_matadero1=' MATADERO: '.number_format($ver_factura_matadero['SUM(cantidad)'], 2, ',','.').' Kg.  '; 
}
if($ver_factura_embutidos['SUM(cantidad)']>'0'){
	$mensaje_matadero2=' EMBUTIDORA: '.number_format($ver_factura_embutidos['SUM(cantidad)'], 2, ',','.').' Kg.  '; 
}
if($ver_factura_maquila['SUM(cantidad)']>'0'){
	$mensaje_matadero3=' MAQUILA: '.number_format($ver_factura_maquila['SUM(cantidad)'], 2, ',','.').' Kg.  '; 
}
if($ver_factura_harina['SUM(cantidad)']>'0'){
	$mensaje_matadero4=' HARINA: '.number_format($ver_factura_harina['SUM(cantidad)'], 2, ',','.').' Kg.  '; 
}
		
$html3 ='
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
<br>
	<table border="0">
		<tr>
			<td WIDTH="40%">FACTOR DE CAMBIO Bs/USD: '.$valor_tasas_dolar.' Bs. </td>
			<td WIDTH="20%" style="text-align: right;">TOTAL EXENTO $:</td>
			<td WIDTH="10%" style="text-align: right;">'.number_format($total_exento_dolares, 2, ',','.').'</td>
			<td WIDTH="20%" style="text-align: right;">TOTAL EXENTO Bs.:</td>
			<td WIDTH="12%" style="text-align: right;">'.$total_exento_bs.'</td>
		</tr>	
		<tr>
			<td WIDTH="40%"></td>
			<td WIDTH="20%" style="text-align: right;">BASE IMPONIBLE $:</td>
			<td WIDTH="10%" style="text-align: right;">'.number_format($base_imponible_dolares, 2, ',','.').'</td>
			<td WIDTH="20%" style="text-align: right;">BASE IMPONIBLE Bs.:</td>
			<td WIDTH="12%" style="text-align: right;">'.$base_imponible_bs.'</td>
		</tr>	
		<tr>
			<td WIDTH="40%" style="text-align: center;">_____________________</td>
			<td WIDTH="20%" style="text-align: right;">TOTAL IVA 16 % $:</td>
			<td WIDTH="10%" style="text-align: right;">'.number_format($total_iva_dolares, 2, ',','.').'</td>
			<td WIDTH="20%" style="text-align: right;">TOTAL IVA 16 % Bs.:</td>
			<td WIDTH="12%" style="text-align: right;">'.$total_iva.'</td>
		</tr>
		<tr>
			<td WIDTH="40%" style="text-align: center;">CONFORME</td>
			<td WIDTH="20%" style="text-align: right;">TOTAL FACTURA $:</td>
			<td WIDTH="10%" style="text-align: right;">'.number_format($total_factura_dolares, 2, ',','.').'</td>
			<td WIDTH="20%" style="text-align: right;">TOTAL FACTURA Bs.:</td>
			<td WIDTH="12%" style="text-align: right;">'.$total_factura.'</td>
		</tr>
		<tr>
			<td WIDTH="40%" style="text-align: lefth;">'.$mensaje_matadero1.''.$mensaje_matadero2.''.$mensaje_matadero3.''.$mensaje_matadero4.'</td>
			<td WIDTH="20%" style="text-align: lefth;"></td>
			<td WIDTH="10%" style="text-align: lefth;"></td>
			<td WIDTH="20%" style="text-align: right;">IGTF:</td>
			<td WIDTH="12%" style="text-align: right;">0,00</td>
		</tr>		
	</table>
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
';
$html5 ='DOCUMENTO EMITIDO CON BASE AL ART. 25 DE LA LEY DEL IVA, DEBE PAGARSE AL TIPO DE CAMBIO VIGENTE AL MOMENTO DEL PAGO.';

			
$pdf->SetFont('', '', 7, '', 'false');
//$pdf->SetFont('helvetica', '', 7);
$pdf->writeHTML($html1, true, 0, true, true);
$pdf->Ln(1);
//$pdf->SetFont('freesans', '', 7, '', 'false');
for($x=0;$x<=$i;$x++){
	$pdf->writeHTML($html51[$x], true, 0, true, true);
	$pdf->Ln(1);
}
//$pdf->SetFont('freesans', '', 7);
$pdf->SetFont('', '', 8.2, '', 'false');
$pdf->writeHTML($html3, true, 0, true, true);
$pdf->Ln(1); 
//$pdf->SetFont('freesans', '', 7);
//$pdf->writeHTML($html4, true, 0, true, true);
//$pdf->Ln(1); 
//$pdf->SetFont('freesans', '', 7);
$pdf->SetFont('', '',7, '', 'false');
$pdf->writeHTML($html5, true, 0, true, true);
$pdf->Ln(1); 
$pdf->Output('FACTURA-'.$fecha_actualxls.'.pdf', 'I');
?>